summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn Mylchreest <johnm@gentoo.org>2004-01-15 17:56:12 +0000
committerJohn Mylchreest <johnm@gentoo.org>2004-01-15 17:56:12 +0000
commitd281f724837fcfa7b713627ea652e810bffdee9c (patch)
treef170838dac709400ec038801d7742da1c0889575 /eclass/kernel-2.eclass
parentminor fix for OKV == KV problem. Silly me :) (diff)
downloadgentoo-2-d281f724837fcfa7b713627ea652e810bffdee9c.tar.gz
gentoo-2-d281f724837fcfa7b713627ea652e810bffdee9c.tar.bz2
gentoo-2-d281f724837fcfa7b713627ea652e810bffdee9c.zip
syntactical change to previous fix. and an excuse to check the msg in #gentoo-bots :)
Diffstat (limited to 'eclass/kernel-2.eclass')
-rw-r--r--eclass/kernel-2.eclass5
1 files changed, 4 insertions, 1 deletions
diff --git a/eclass/kernel-2.eclass b/eclass/kernel-2.eclass
index 73bb6b2a143c..5dd6d89d11d8 100644
--- a/eclass/kernel-2.eclass
+++ b/eclass/kernel-2.eclass
@@ -408,7 +408,10 @@ src_unpack() {
cd ${WORKDIR}
unpack linux-${OKV}.tar.bz2
- [ ! "${OKV}" == "${KV}" ] && mv linux-${OKV} linux-${KV} || die "Unable to move source tree to ${KV}."
+ if [ "${OKV}" != "${KV}" ]
+ then
+ mv linux-${OKV} linux-${KV} || die "Unable to move source tree to ${KV}."
+ fi
cd ${S}
universal_unpack